#ifndef EPUBGREP_HELPERS_HPP
#define EPUBGREP_HELPERS_HPP

#include <string>
namespace epubgrep::helpers
{

//! Return true if check is whitespace.
[[nodiscard]] bool is_whitespace(char check);

//! Decode percent-encoded text. Used for restricted characters in URLs.
[[nodiscard]] std::string urldecode(std::string_view url);

} // namespace epubgrep::helpers

#endif // EPUBGREP_HELPERS_HPP
